# Multi-Processing Module perchild

This Multi-Processing Module allows for daemon processes serving requests to be assigned a variety of different userids.

Status: MPM
Source File: perchild.c
Module Identifier: mpm_perchild_module

## Summary

Some description on how this whole thing works with a couple examples.

## Directives

- AssignUserID
- ChildPerUserID
- ConnectionStatus
- CoreDumpDirectory
- Group
- PidFile
- Listen
- ListenBacklog
- LockFile
- MaxRequestsPerChild
- MaxSpareThreads
- MinSpareThreads
- NumServers
- ScoreBoardFile
- SendBufferSize
- StartThreads
- User

## AssignUserID directive

Syntax:
Default:
Context: server config
Status: MPM
Module: perchild

Tie a virtual host to a specific child process.

## ChilePerUserID directive

Syntax:
Default:
Context: server config
Status: MPM
Module: perchild

Specify a User and Group for a specific child process.